질문/조언질답게시판

php 확장모듈..

Extra Form
PHP PHP 7.3
CMS Rhymix 2.x

x.gif

 

A

apcu

B

bcmath

brotli

D

dba

dbase

dom

E

eio

enchant

F

fileinfo

G

gd

gender

geoip

geos

gmagick

gnupg

grpc

H

http

I

igbinary

imagick

imap

inotify

I

intl

ioncube_loader

J

jsmin

json

L

ldap

luasandbox

lzf

M

mailparse

mbstring

memcached

mongodb

mysqli

mysqlnd

N

nd_mysqli

nd_pdo_mysql

newrelic

O

oauth

oci8

odbc

opcache

P

pdf

P

pdo

pdo_dblib

pdo_firebird

pdo_mysql

pdo_oci

pdo_odbc

pdo_pgsql

pdo_sqlite

pdo_sqlsrv

pgsql

phar

posix

propro

pspell

psr

R

raphf

redis

S

snmp

soap

sockets

sodium

S

sqlite3

sqlsrv

stats

swoole

sysvmsg

sysvsem

sysvshm

T

tidy

timezonedb

trader

U

uploadprogress

uuid

V

vips

X

xdebug

xmlreader

xmlrpc

xmlwriter

xsl

Y

yaml

Z

zip

zmq

라이믹스 설명 페이지를 보던중 php 7.4로 올려볼까?

하다가 php셀렉터에서 설치가능한 목록들을 보니

몇개가 아예선택지에 없더라고요..

 

imagik 같은건 선택지에는 있는데 체크하면 체크 해제 되고..

mcrypt는 7.3까지만 선택지에 나오네요..

그래서 일단은 7.3으로 선택했는데..

SimpleXML

Zend OPcache

이런건 아예 안나오는거 같더라고요

 

없어도 구동자체는 되는데 흐음...흠...

 

7.4로 올려도 mcrypt없이 구동자체는 되는데 잘 모르겠어서 하나라도 더 있는 7.3으로 선택해놓고 쓰는 중인데

문제 없을까 궁금합니다

 

한시간 전까지는 7.0으로 되어있었어요.

  • profile

    mcrypt 필요없습니다.

    opcache가 Zend Opcache입니다.

    simplexml은 xml 관련된 것들 죄다 선택하면 자동으로 따라올 가능성이 높습니다.

    쓸데없이 자잘하게 나눠놓은 것 같은데, nd_mysqli와 nd_pdo_mysql도 선택하시면 좋습니다.

  • profile profile

    2.gif

    imagick은 이렇게 뜨고

     

    nd_mysqli skipped as conflicting. 
    nd_mysqli를 충돌로 건너뛰었습니다.
    nd_mysqli,nd_pdo_mysql
    라고 하면서 두개다 체크 안되네요ㅜ

  • profile profile
    gmagick을 해제하고 imagick을 선택해 보세요.
    나머지는 그냥 두셔도 됩니다.
  • profile profile
    감사합니다